/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "configappearance.h"
#include "kosdglobal.h"
#include "iconthememanager.h"

#include <qlabel.h>
#include <qcombobox.h>

#include <kpushbutton.h>
#include <kiconloader.h>

ConfigAppearance::ConfigAppearance(QWidget* parent, const char* name, WFlags fl)
: KOSD_AppearanceLayout(parent,name,fl)
{
	m_buttonInstallNewTheme->setIconSet(KGlobal::iconLoader()->loadIcon("fileopen", KIcon::Small, 0, false));
}


ConfigAppearance::~ConfigAppearance()
{
}


void ConfigAppearance::slotIconThemeChanged(const QString &theme)
{
	IconThemeManager *itm = KOSDGlobal::iconThemeManager();
	m_labelIconThemeAuthor->setText(itm->author(theme));

	unsigned int iconSize = m_iconPreview1->height();
	m_iconPreview1->setPixmap(itm->icon(theme, "volume.png").smoothScale(iconSize, iconSize));
	m_iconPreview2->setPixmap(itm->icon(theme, "volume_mute.png").smoothScale(iconSize, iconSize));
	m_iconPreview3->setPixmap(itm->icon(theme, "brightness.png").smoothScale(iconSize, iconSize));
	m_iconPreview4->setPixmap(itm->icon(theme, "battery.png").smoothScale(iconSize, iconSize));
}


void ConfigAppearance::slotInstallNewTheme()
{
	IconThemeManager *itm = KOSDGlobal::iconThemeManager();
	itm->installNewIconTheme();
	m_comboboxIconThemes->clear();
	m_comboboxIconThemes->insertStringList(itm->iconThemeList());
}


#include "configappearance.moc"
