/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CONFIGURATIONDIALOG_H
#define CONFIGURATIONDIALOG_H

#include "configappearance.h"
#include "configbehavior.h"
#include "iconthememanager.h"

#include <qpushbutton.h>
#include <kdialogbase.h>
#include <kaboutdialog.h>

class ConfigurationDialog : public KDialogBase
{
	Q_OBJECT
public:
	ConfigurationDialog(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~ConfigurationDialog();

	void show();

protected:
	void setValues();

	ConfigAppearance *m_configAppearancePage;
	ConfigBehavior *m_configBehaviorPage;

	QPushButton *m_aboutButton;
	QPushButton *m_defaultsButton;

	IconThemeManager *m_iconThemeManager;

signals:
	void closed();
	void changed();
	void aboutClicked();
	void shortcutsClicked();

public slots:
	virtual void slotButtonShortcutsClicked();
	virtual void slotSetDefaults();
	virtual void slotClose();
	virtual void slotSave();
	virtual void slotUser1();
};

#endif

